#version 330 core

layout (location = 0) in vec3 aPos;

uniform mat4x4 _ModelViewProjectionMatrix;

void main()
{
    vec4 pos = vec4(aPos.x, aPos.y, aPos.z, 1.0);
    gl_Position = _ModelViewProjectionMatrix * pos;
}

